#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QDebug>
#include <QMainWindow>
#include <QMenu>
#include <QMenuBar>
#include <QAction>
#include <QTextEdit>
#include <QStatusBar>
#include <QFileDialog>
#include <QFile>
#include <QMessageBox>
#include <QTextStream>
#include <QLabel>
#include <QPixmap>

class MainWindow : public QMainWindow
{
    Q_OBJECT

private:
    QMenuBar *menu_bar; // 菜单栏
    QMenu *menu1,*menu2,*menu3,*menu4; // 文件、编辑、查看、关于
    QStatusBar *status_bar; // 状态栏
    QTextEdit *text_edit; // 文本编辑（中心空间）
    QAction *openAction,*saveAction,*exitAction; // 打开、保存、退出
    QAction *aboutAction,*aboutQtAction; // 关于、关于Qt

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
};
#endif // MAINWINDOW_H
