#ifndef SERIALPORTDEBUGGINGWINDOW_H
#define SERIALPORTDEBUGGINGWINDOW_H

#include <QMainWindow>
#include <QAction>
#include <QToolBar>
#include <QMessageBox>
#include <QSerialPortInfo>

namespace Ui {
class SerialPortDebuggingWindow;
}

class SerialPortDebuggingWindow : public QMainWindow
{
    Q_OBJECT

private:
    QAction *open_action,*stop_action,*add_action,*time_action,
            *loadfile_action,*write2file_action,*save_action,
            *clearbytes_action,*cleanport_action,*msg_action;
    QToolBar *tool_bar;

private:
    void initSPDW();
    void initToolBar();
    void initMenuBar();
    void initPortShow();

signals:
//    void close_app(); // 关闭软件

public:
    explicit SerialPortDebuggingWindow(QWidget *parent = nullptr);
    ~SerialPortDebuggingWindow();

private:
    Ui::SerialPortDebuggingWindow *ui;
};

#endif // SERIALPORTDEBUGGINGWINDOW_H
