#ifndef HOMEWIDGET_H
#define HOMEWIDGET_H

#include <QWidget>

// 计时器
#include <QTimer> // timer
#include <QDateTime>

// 串口信息
#include <QList>
#include <QtSerialPort/QSerialPortInfo>
#include <QDebug>

#include "serialportdebuggingwindow.h"

namespace Ui {
class HomeWidget;
}

class HomeWidget : public QWidget
{
    Q_OBJECT

private:
    QTimer *timer;

private:
    void change_port_label_show();

public:
    explicit HomeWidget(QWidget *parent = nullptr);
    ~HomeWidget();

private slots:
    void on_exitBtn_clicked();

    void on_homeBtn_clicked();

    void on_settingBtn_clicked();


    void on_statusBtn_clicked();

    void on_logsBtn_clicked();

private:
    Ui::HomeWidget *ui;

signals:
    void exit_to_shell_window();
};

#endif // HOMEWIDGET_H
