#include "mainwindow.h"
#include "homewidget.h"


#include <QApplication>
#include <QDebug>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    MainWindow w; // 登录页
    w.show(); // 先显示登录页
    HomeWidget hw; // 主页

    QObject::connect(&w,&MainWindow::login_success,[&](){ // 登录成功则显示主页并关闭登录页
        hw.show();
        w.close();
    });

    return a.exec();
}
