#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMessageBox>
#include <QFile>
#include <QTextStream>
#include <QDebug>

#include "registerwidget.h"

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

private:
    RegisterWidget *register_widget; // 注册页面

signals:
    void send_connected_port_id(const QString &);

    void login_success();

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_registerBtn_clicked();

    void on_loginBtn_clicked();

    void on_clearBtn_clicked();

    void on_exitBtn_clicked();

private:
    Ui::MainWindow *ui;
};
#endif // MAINWINDOW_H
