#ifndef TIMERFORM1_H
#define TIMERFORM1_H

#include <QWidget>
#include <QDateTime>
#include <QTimer>

namespace Ui {
class TimerForm1;
}

class TimerForm1 : public QWidget
{
    Q_OBJECT
    int timerId;
    QTimer *timer;

public:
    explicit TimerForm1(QWidget *parent = nullptr);
    ~TimerForm1();

protected:
    virtual void timerEvent(QTimerEvent *event) override;

private slots:
    void on_starttimebtn_clicked();

    void on_stoptimebtn_clicked();

private:
    Ui::TimerForm1 *ui;
};

#endif // TIMERFORM1_H
